Task # 3074 (Closed): Phase one implementaion for morpho to connect dataone services

Implement insert and read methods
Status: Rejected Start date: 2012-07-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 2013.10-Block.2.1   

Milestone: None Story Points:  

Product Version: *   

Description

the insert and read methods look like:

public String insert(String pid, InputStream object, String systemMetadata);

public InputStream read(String pid);

Since there is no different for creating a metadata and a data object, insert method will handle both. So upload method will be

removed.

The insert and read methods will interact with the active MN nodes (selected by user). For insert, the new created object will set the

authoritative member node to the active node id.

The attached file is the sequence diagram of the inserting.

History

#1 - 2012-07-23 23:02 - Jing Tao

- File morpho-save-dataone-sequence.png added

#2 - 2012-07-30 22:23 - Jing Tao

- Status changed from New to Rejected

Duplicate to the task 3103.

#3 - 2012-10-11 15:33 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#4 - 2012-10-24 18:20 - Ben Leinfelder

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#5 - 2012-12-12 16:51 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#6 - 2013-03-01 18:33 - Ben Leinfelder

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

Files

morpho-save-dataone-sequence.png 71.5 KB 2012-07-23 Jing Tao

Powered by TCPDF (www.tcpdf.org)

2024-04-25 1/1

http://www.tcpdf.org

